On 13/02/18 05:19, Aubrey Legendre wrote:
> Hey guys, I hope I'm not sending this to the wrong group, please excuse
> me if it's not correct.
> 
> I have installed full version of all software for Slackware 14.2, not
> added anything other than what's on the install disk.>
From the SBo "SlackBuild Usage HOWTO" page:

"Caveat

 All of our scripts are written and tested for usage on the latest
stable release of Slackware with full installation and updated with
latest patches; ..."

The install disk was released over 18 months ago. A multitude of
official patches have been issued since then (see
http://www.slackware.com/changelog/stable.php?cpu=x86_64). Have these
updates been applied?

Without these updates also installed, you don't have the fully updated
system required. Of course many SlackBuilds will still build & run OK on
an incomplete system but looks like the VLC build needs an up to date
system.


>Then I came to
> slackbuilds.org <http://slackbuilds.org> to get everything needed to
> build VLC.  In the list of dependencies is QT5.  I compiled it (and it's
> dependencies) and I think it breaks something for QT4 that's already
> installed, and this disables VLC from compiling.  Once I removed the QT5
> package, then reinstalled the QT4 package from disk, and re-compiled VLC
> again, it works.
> 
I guess this is a tip for those building on an incomplete system but the
best advice would really be to fully update the installation first. Odd
workarounds like this should not then be necessary.

Apart from that, many of the missing updates are security related and,
without them, your system would be pretty unsafe at the moment.

chris
_______________________________________________
SlackBuilds-users mailing list
SlackBuilds-users@slackbuilds.org
https://lists.slackbuilds.org/mailman/listinfo/slackbuilds-users
Archives - https://lists.slackbuilds.org/pipermail/slackbuilds-users/
FAQ - https://slackbuilds.org/faq/

Reply via email to